View Issue Details

IDProjectCategoryView StatusLast Update
0000788OpenFOAM[All Projects] Bugpublic2015-09-08 08:14
Reporteruser623Assigned Tohenry 
PriorityurgentSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
PlatformUbuntu 12.04OSOtherOS Version(please specify)
Product Version 
Fixed in Version 
Summary0000788: outofBounds not read by solver
DescriptionSay I have this boundary condition:

    inlet
    {
      type uniformFixedValue;
      uniformValue csvFile;
      csvFileCoeffs
    {
        fileName "$FOAM_CASE/boundary"
        outOfBounds error;
        hasHeaderLine false;
        refColumn 0;
        componentColumns (1 2 3); // vector example
         }
    }

The current value for outOfBounds has no effect on the behaviour, it always "clamp"s the boundary condition. The same goes if I tried "repeat", clamping occurs again. I guess it is not reading the value defined here and assuming default settings.
Additional InformationOF 2.1.1, Ubuntu 12.04
TagsNo tags attached.

Activities

wyldckat

2014-12-29 15:47

updater   ~0003401

Related to: http://www.openfoam.org/mantisbt/view.php?id=888

henry

2015-01-22 13:29

manager   ~0003577

Resolved by commit 8a7519fc14d45ca0f9943a4d2cc4abdd0f71297d

Issue History

Date Modified Username Field Change
2013-03-16 00:56 user623 New Issue
2014-12-29 15:47 wyldckat Note Added: 0003401
2015-01-22 13:29 henry Note Added: 0003577
2015-01-22 13:29 henry Status new => resolved
2015-01-22 13:29 henry Resolution open => fixed
2015-01-22 13:29 henry Assigned To => henry